RubyGems Navigation menu

rubocop 0.70.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.25.0 - January 18, 2022 (517 KB)
  2. 1.24.1 - December 31, 2021 (516 KB)
  3. 1.24.0 - December 23, 2021 (516 KB)
  4. 1.23.0 - November 15, 2021 (511 KB)
  5. 1.22.3 - October 27, 2021 (508 KB)
  6. 0.70.0 - May 21, 2019 (413 KB)
Show all versions (197 total)

Runtime Dependencies (6):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser >= 2.6
  • rainbow >= 2.2.2, < 4.0
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 1.7
  • Development Dependencies (2):

  • bundler >= 1.15.0, < 3.0
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    9c938c50fe39ed55458ecf600f316ccbaf51cf5584d1aa83b621ba27ba94f86c

    Total downloads 205,109,709

    For this version 1,135,923

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.3.0

    Requires MFA accounts: Since 1.23.0

    Links: